Create External Wallet
curl --request POST \
--url https://test-api-kore.kravata.co/api/v1/admin/wallets/external/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Polygon wallet",
"address": "0x1234567890abcdef1234567890abcdef12345678",
"networkId": 8,
"tokenId": 1,
"custodianId": 79
}
'import requests
url = "https://test-api-kore.kravata.co/api/v1/admin/wallets/external/{user_id}"
payload = {
"name": "My Polygon wallet",
"address": "0x1234567890abcdef1234567890abcdef12345678",
"networkId": 8,
"tokenId": 1,
"custodianId": 79
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My Polygon wallet',
address: '0x1234567890abcdef1234567890abcdef12345678',
networkId: 8,
tokenId: 1,
custodianId: 79
})
};
fetch('https://test-api-kore.kravata.co/api/v1/admin/wallets/external/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Custody
Create External Wallet
Registers an external (user-owned) wallet, such as a personal MetaMask address, on behalf of one of your users. The wallet is created with status PENDING and moves to APPROVED or REJECTED after an automatic compliance screening.
Request
| Field | Type | Required | Description |
|---|---|---|---|
| Authorization | Header | Yes | Bearer <access_token> obtained from POST /api/v1/client/token. |
| user_id | Path | Yes | User who will own the wallet, from GET /admin/users. |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | Yes | Label for the wallet. |
| address | string | Yes | On-chain address. |
| networkId | integer | Yes | Network ID from GET /parameters/networks. |
| tokenId | integer | Yes | Token ID from GET /parameters/tokens. |
| custodianId | integer | Yes | Custodian ID from GET /parameters/custodians. |
POST
/
api
/
v1
/
admin
/
wallets
/
external
/
{user_id}
Create External Wallet
curl --request POST \
--url https://test-api-kore.kravata.co/api/v1/admin/wallets/external/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Polygon wallet",
"address": "0x1234567890abcdef1234567890abcdef12345678",
"networkId": 8,
"tokenId": 1,
"custodianId": 79
}
'import requests
url = "https://test-api-kore.kravata.co/api/v1/admin/wallets/external/{user_id}"
payload = {
"name": "My Polygon wallet",
"address": "0x1234567890abcdef1234567890abcdef12345678",
"networkId": 8,
"tokenId": 1,
"custodianId": 79
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My Polygon wallet',
address: '0x1234567890abcdef1234567890abcdef12345678',
networkId: 8,
tokenId: 1,
custodianId: 79
})
};
fetch('https://test-api-kore.kravata.co/api/v1/admin/wallets/external/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
